# class Gtk::ScaleButton

### Public Class Methods

new(options={}) click to toggle source

    # File lib/gtk3/scale-button.rb, line 20
    def initialize(options={})
      icon_size = options[:icon_size] || :button
      min       = options[:min]       || 0
      max       = options[:max]       || 100
      step      = options[:step]      || 2
      icons     = options[:icons]     || nil

      case icon_size
      when Symbol, String
        icon_size = IconSize.new(icon_size.to_s)
      end

      initialize_raw(icon_size, min, max, step, icons)
    end

Also aliased as: initialize_raw

### Public Instance Methods

initialize_raw(options={})
Alias for: new